org.apache.maven.scm.provider.accurev.command

## Class AbstractAccuRevExtractSourceCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevExtractSourceCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AccuRevCheckOutCommand, AccuRevExportCommand

    public abstract class AbstractAccuRevExtractSourceCommand
    extends AbstractAccuRevCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractAccuRevExtractSourceCommand(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected ScmResult` `executeAccurevCommand(AccuRevScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract List<File>` `extractSource(AccuRevScmProviderRepository repository, File basedir, AccuRevVersion version)`
`protected abstract ScmResult` `getScmResult(AccuRevScmProviderRepository repository, List<ScmFile> scmFiles, ScmVersion scmVersion)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAccuRevExtractSourceCommand

    public AbstractAccuRevExtractSourceCommand(ScmLogger logger)

### Method Detail

#### executeAccurevCommand

    protected ScmResult executeAccurevCommand(AccuRevScmProviderRepository repository,
                                              ScmFileSet fileSet,
                                              CommandParameters parameters)
                                       throws ScmException,
                                              AccuRevException

Specified by:
  `executeAccurevCommand` in class `AbstractAccuRevCommand`
Throws:
  `ScmException`
  `AccuRevException`

#### getScmResult

    protected abstract ScmResult getScmResult(AccuRevScmProviderRepository repository,
                                              List<ScmFile> scmFiles,
                                              ScmVersion scmVersion)

#### extractSource

    protected abstract List<File> extractSource(AccuRevScmProviderRepository repository,
                                                File basedir,
                                                AccuRevVersion version)
                                         throws AccuRevException

Throws:
  `AccuRevException`